org.apache.commons.compress.compressors

## Class CompressorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.commons.compress.compressors.CompressorException

- All Implemented Interfaces:
    Serializable

      public class CompressorException
      extends Exception

  Compressor related exception
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompressorException(String message)` Constructs a new exception with the specified detail message.
    `CompressorException(String message, Throwable cause)` Constructs a new exception with the specified detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CompressorException

          public CompressorException(String message)

      Constructs a new exception with the specified detail message. The cause is not initialized.
      Parameters:
        `message` - the detail message

    - #### CompressorException

          public CompressorException(String message,
                             Throwable cause)

      Constructs a new exception with the specified detail message and cause.
      Parameters:
        `message` - the detail message
        `cause` - the cause

Copyright © 2016 The Apache Software Foundation. All rights reserved.